part of 'family_bloc.dart';

abstract class FamilyState extends Equatable {
  const FamilyState();
  
  @override
  List<Object> get props => [];
}

class FamilyInitial extends FamilyState {}

class FamilyLoaded extends FamilyState{
  final  List<FamilyBackground> families;
  const FamilyLoaded({required this.families});
    
  @override
  List<Object> get props => [families];
}

class FamilyErrorState extends FamilyState{
  final String message;
  const FamilyErrorState({required this.message});
    @override
  List<Object> get props => [message];
}
class FamilyLoadingState extends FamilyState{
  
}
