part of 'address_bloc.dart';

abstract class AddressState extends Equatable {
  const AddressState();
  
  @override
  List<Object> get props => [];
}

class AddressInitial extends AddressState {}

class AddressLoadedState extends AddressState{
      final List<MainAdress> addresses;
      const AddressLoadedState({required this.addresses});
        @override
  List<Object> get props => [addresses];
}

class AddressErrorState extends AddressState{
  final String message;
  const AddressErrorState({required this.message});
    @override
  List<Object> get props => [message];
}
class AddressLoadingState extends AddressState{
  
}
