part of 'contact_bloc.dart';

abstract class ContactState extends Equatable {
  const ContactState();
  
  @override
  List<Object> get props => [];
}

class ContactInitial extends ContactState {}

class ContactLoadedState extends ContactState{
  final  List<ContactInfo> contactInformation;
  const ContactLoadedState({required this.contactInformation});
    @override
  List<Object> get props => [];
}

class ContactLoadingState extends ContactState{

}
class ContactErrorState extends ContactState{
  final String message;
  const ContactErrorState({required this.message});
      @override
  List<Object> get props => [message];
}