part of 'education_bloc.dart';

abstract class EducationState extends Equatable {
  const EducationState();
  
  @override
  List<Object> get props => [];
}

class EducationInitial extends EducationState {}



class EducationalBackgroundLoadedState extends EducationState{
  final List<EducationalBackground> educationalBackground;
  const EducationalBackgroundLoadedState({required this.educationalBackground});
      @override
  List<Object> get props => [educationalBackground];
}

class EducationalBackgroundErrorState extends EducationState{
  final String message;
  const EducationalBackgroundErrorState({required this.message});
    @override
  List<Object> get props => [message];
}
class EducationalBackgroundLoadingState extends EducationState{

}
