part of 'learning_development_bloc.dart';

abstract class LearningDevelopmentState extends Equatable {
  const LearningDevelopmentState();
  
  @override
  List<Object> get props => [];
}

class LearningDevelopmentInitial extends LearningDevelopmentState {}

class LearningDevelopmentLoadedState extends LearningDevelopmentState{
     final List<LearningDevelopement> learningsAndDevelopment;
     const LearningDevelopmentLoadedState({required this.learningsAndDevelopment});
      @override
  List<Object> get props => [learningsAndDevelopment];
}

class LeaningDevelopmentErrorState extends LearningDevelopmentState{
  final String message;
  const LeaningDevelopmentErrorState({required this.message});
    @override
  List<Object> get props => [message];
}

class LearningDevelopmentLoadingState extends LearningDevelopmentState{
  
}
