part of 'identification_bloc.dart';

abstract class IdentificationState extends Equatable {
  const IdentificationState();
  
  @override
  List<Object> get props => [];
}

class IdentificationInitial extends IdentificationState {}

class IdentificationLoadedState extends IdentificationState{
  final   List<Identification> identificationInformation;
   const IdentificationLoadedState({required this.identificationInformation});
     @override
  List<Object> get props => [identificationInformation];
}

class IdenficationErrorState extends IdentificationState{
  final String message;
  const IdenficationErrorState({required this.message});
   @override
  List<Object> get props => [message];
}

class IdentificationLoadingState extends IdentificationState{
  
}
