part of 'voluntary_work_bloc.dart';

abstract class VoluntaryWorkState extends Equatable {
  const VoluntaryWorkState();
  
  @override
  List<Object> get props => [];
}

class VoluntaryWorkInitial extends VoluntaryWorkState {}
class VoluntaryWorkLoadedState extends VoluntaryWorkState{
  final List<VoluntaryWork> voluntaryWorks;
  const VoluntaryWorkLoadedState({required this.voluntaryWorks});
        @override
  List<Object> get props => [voluntaryWorks];
}

class VoluntaryWorkErrorState extends VoluntaryWorkState{
  final String message;
  const VoluntaryWorkErrorState({required this.message});
          @override
  List<Object> get props => [message];
}

class VoluntaryWorkLoadingState extends VoluntaryWorkState{
  
}
